{"openapi":"3.1.0","info":{"title":"LyricPatch for Agents","description":"Signup-free private lyric editing for authorized agents: x402 paid sessions, scoped access, agent-supplied phrase matching, quoted spending and downloads. Existing account keys also supported.","version":"1.2.0"},"servers":[{"url":"https://api.lyricpatch.com"}],"paths":{"/v1/agent/account":{"get":{"tags":["Agent API"],"summary":"Account","operationId":"account_v1_agent_account_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/uploads/presign":{"post":{"tags":["Agent API"],"summary":"Upload","operationId":"upload_v1_agent_uploads_presign_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PresignUploadRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PresignUploadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/projects":{"post":{"tags":["Agent API"],"summary":"Create Project","operationId":"create_project_v1_agent_projects_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCreateRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Agent API"],"summary":"Projects","operationId":"projects_v1_agent_projects_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProjectResponse"},"title":"Response Projects V1 Agent Projects Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/projects/{project_id}":{"get":{"tags":["Agent API"],"summary":"Project","operationId":"project_v1_agent_projects__project_id__get","parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Project Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Agent API"],"summary":"Delete Project","operationId":"delete_project_v1_agent_projects__project_id__delete","parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Project Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/projects/{project_id}/ingest":{"post":{"tags":["Agent API"],"summary":"Ingest","operationId":"ingest_v1_agent_projects__project_id__ingest_post","parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Project Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IngestResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/projects/{project_id}/edits":{"post":{"tags":["Agent API"],"summary":"Create Edit","operationId":"create_edit_v1_agent_projects__project_id__edits_post","parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Project Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditCreateRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/edits/{edit_id}":{"patch":{"tags":["Agent API"],"summary":"Change Edit","operationId":"change_edit_v1_agent_edits__edit_id__patch","parameters":[{"name":"edit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Edit Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditPatchRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Agent API"],"summary":"Delete Edit","operationId":"delete_edit_v1_agent_edits__edit_id__delete","parameters":[{"name":"edit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Edit Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/projects/{project_id}/clip-transcriptions":{"post":{"tags":["Agent API"],"summary":"Transcribe","operationId":"transcribe_v1_agent_projects__project_id__clip_transcriptions_post","parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Project Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClipTranscriptionCreateRequest"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClipTranscriptionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/clip-transcriptions/{job_id}":{"get":{"tags":["Agent API"],"summary":"Transcript","operationId":"transcript_v1_agent_clip_transcriptions__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClipTranscriptionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/quotes":{"post":{"tags":["Agent API"],"summary":"Quote","operationId":"quote_v1_agent_quotes_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentQuoteRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentQuoteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/generations":{"post":{"tags":["Agent API"],"summary":"Generate","operationId":"generate_v1_agent_generations_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentExecuteRequest"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchGenerationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/exports":{"post":{"tags":["Agent API"],"summary":"Export","operationId":"export_v1_agent_exports_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentExecuteRequest"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/jobs/{job_id}":{"get":{"tags":["Agent API"],"summary":"Job","operationId":"job_v1_agent_jobs__job_id__get","parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Job Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/batches/{batch_id}":{"get":{"tags":["Agent API"],"summary":"Get Batch","operationId":"get_batch_v1_agent_batches__batch_id__get","parameters":[{"name":"batch_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Batch Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchGenerationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Agent API"],"summary":"Cancel Batch","operationId":"cancel_batch_v1_agent_batches__batch_id__delete","parameters":[{"name":"batch_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Batch Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/generations/{generation_id}/accept":{"post":{"tags":["Agent API"],"summary":"Accept","operationId":"accept_v1_agent_generations__generation_id__accept_post","parameters":[{"name":"generation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Generation Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenerationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/payments":{"post":{"tags":["Agent payments"],"summary":"Create Agent Payment","operationId":"create_agent_payment_v1_agent_payments_post","parameters":[{"name":"Idempotency-Key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Idempotency-Key"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentTopupRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/payments/{payment_id}":{"get":{"tags":["Agent payments"],"summary":"Get Agent Payment","operationId":"get_agent_payment_v1_agent_payments__payment_id__get","parameters":[{"name":"payment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Payment Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/payments/{payment_id}/pay":{"post":{"tags":["Agent payments"],"summary":"Pay Agent Payment","operationId":"pay_agent_payment_v1_agent_payments__payment_id__pay_post","parameters":[{"name":"payment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Payment Id"}},{"name":"PAYMENT-SIGNATURE","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Payment-Signature"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/credits/{pack_id}":{"post":{"tags":["Agent payments"],"summary":"Purchase Agent Credits","operationId":"purchase_agent_credits_v1_agent_credits__pack_id__post","parameters":[{"name":"pack_id","in":"path","required":true,"schema":{"type":"string","title":"Pack Id"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string","title":"Idempotency-Key"}},{"name":"PAYMENT-SIGNATURE","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Payment-Signature"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/sessions/offer":{"get":{"tags":["Signup-free agent access"],"summary":"Offer","description":"Read-only connection information: no identity or payment allocation.","operationId":"offer_v1_agent_sessions_offer_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[]}},"/v1/agent/sessions":{"post":{"tags":["Signup-free agent access"],"summary":"Bootstrap","operationId":"bootstrap_v1_agent_sessions_post","parameters":[{"name":"X-LyricPatch-Session","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Lyricpatch-Session"}},{"name":"PAYMENT-SIGNATURE","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Payment-Signature"}}],"requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/SessionConsent"},{"$ref":"#/components/schemas/SessionProbe"},{"type":"null"}],"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[]}},"/v1/agent/sessions/current":{"get":{"tags":["Signup-free agent access"],"summary":"Recover","operationId":"recover_v1_agent_sessions_current_get","parameters":[{"name":"X-LyricPatch-Session","in":"header","required":true,"schema":{"type":"string","title":"X-Lyricpatch-Session"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[]},"delete":{"tags":["Signup-free agent access"],"summary":"Revoke","operationId":"revoke_v1_agent_sessions_current_delete","parameters":[{"name":"X-LyricPatch-Session","in":"header","required":true,"schema":{"type":"string","title":"X-Lyricpatch-Session"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[]}},"/v1/agent/projects/{project_id}/phrase-matches":{"post":{"tags":["Agent phrase matching"],"summary":"Phrase Matches","operationId":"phrase_matches_v1_agent_projects__project_id__phrase_matches_post","parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Project Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhraseMatchRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhraseMatchResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"AcceptedGenerationPlaybackResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"edit_id":{"type":"string","format":"uuid","title":"Edit Id"},"job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Job Id"},"status":{"type":"string","title":"Status"},"seed":{"type":"integer","title":"Seed"},"steps":{"type":"integer","title":"Steps"},"charged_credits":{"type":"integer","title":"Charged Credits"},"result_asset_id":{"type":"string","format":"uuid","title":"Result Asset Id"},"accepted_at":{"type":"string","format":"date-time","title":"Accepted At"},"playback_url":{"type":"string","title":"Playback Url"},"duration_ms":{"type":"integer","title":"Duration Ms"},"sample_rate":{"type":"integer","title":"Sample Rate"},"channels":{"type":"integer","title":"Channels"},"content_type":{"type":"string","title":"Content Type"}},"type":"object","required":["id","edit_id","job_id","status","seed","steps","charged_credits","result_asset_id","accepted_at","playback_url","duration_ms","sample_rate","channels","content_type"],"title":"AcceptedGenerationPlaybackResponse"},"AgentExecuteRequest":{"properties":{"quote_id":{"type":"string","format":"uuid","title":"Quote Id"},"idempotency_key":{"type":"string","maxLength":128,"minLength":8,"pattern":"^[A-Za-z0-9_.:-]+$","title":"Idempotency Key"}},"type":"object","required":["quote_id","idempotency_key"],"title":"AgentExecuteRequest"},"AgentQuoteRequest":{"properties":{"operation":{"type":"string","enum":["generate","export"],"title":"Operation"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"edit_ids":{"items":{"type":"string","format":"uuid"},"type":"array","maxItems":32,"title":"Edit Ids"},"format":{"type":"string","enum":["mp3","wav"],"title":"Format","default":"mp3"},"max_credits":{"type":"integer","maximum":10000.0,"minimum":0.0,"title":"Max Credits"}},"type":"object","required":["operation","project_id","max_credits"],"title":"AgentQuoteRequest"},"AgentQuoteResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"operation":{"type":"string","title":"Operation"},"credits":{"type":"integer","title":"Credits"},"expires_at":{"type":"string","format":"date-time","title":"Expires At"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters"}},"type":"object","required":["id","project_id","operation","credits","expires_at","parameters"],"title":"AgentQuoteResponse"},"AgentTopupRequest":{"properties":{"pack_id":{"type":"string","pattern":"^credits_(40|100|400|1000)$","title":"Pack Id"},"idempotency_key":{"type":"string","maxLength":128,"minLength":8,"pattern":"^[A-Za-z0-9:_\\-.]+$","title":"Idempotency Key"}},"additionalProperties":false,"type":"object","required":["pack_id","idempotency_key"],"title":"AgentTopupRequest"},"BatchGenerationResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"status":{"type":"string","enum":["running","succeeded","partial_failed","failed","cancelled"],"title":"Status"},"total_edits":{"type":"integer","title":"Total Edits"},"total_credits":{"type":"integer","title":"Total Credits"},"succeeded_edits":{"type":"integer","title":"Succeeded Edits"},"failed_edits":{"type":"integer","title":"Failed Edits"},"remaining_edits":{"type":"integer","title":"Remaining Edits"},"phase":{"type":"string","enum":["queued","processing","complete"],"title":"Phase"},"status_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status Message"},"job_ids":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Job Ids"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At"}},"type":"object","required":["id","project_id","status","total_edits","total_credits","succeeded_edits","failed_edits","remaining_edits","phase","created_at","completed_at"],"title":"BatchGenerationResponse"},"ClipTranscriptionCreateRequest":{"properties":{"start_sample":{"type":"integer","minimum":0.0,"title":"Start Sample"},"end_sample":{"type":"integer","exclusiveMinimum":0.0,"title":"End Sample"}},"type":"object","required":["start_sample","end_sample"],"title":"ClipTranscriptionCreateRequest"},"ClipTranscriptionResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"start_sample":{"type":"integer","title":"Start Sample"},"end_sample":{"type":"integer","title":"End Sample"},"status":{"type":"string","enum":["queued","running","succeeded","failed","cancelled"],"title":"Status"},"progress":{"type":"integer","title":"Progress"},"text":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Text"},"language":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Language"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At"}},"type":"object","required":["id","project_id","start_sample","end_sample","status","progress","created_at","updated_at"],"title":"ClipTranscriptionResponse"},"EditCreateRequest":{"properties":{"start_sample":{"type":"integer","minimum":0.0,"title":"Start Sample"},"end_sample":{"type":"integer","exclusiveMinimum":0.0,"title":"End Sample"}},"type":"object","required":["start_sample","end_sample"],"title":"EditCreateRequest"},"EditPatchRequest":{"properties":{"corrected_lyrics":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Corrected Lyrics"},"target_lyrics":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}],"title":"Target Lyrics"},"phrase_breaks":{"anyOf":[{"items":{"type":"integer"},"type":"array"},{"type":"null"}],"title":"Phrase Breaks"}},"type":"object","title":"EditPatchRequest"},"EditResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"start_sample":{"type":"integer","title":"Start Sample"},"end_sample":{"type":"integer","title":"End Sample"},"status":{"type":"string","title":"Status"},"original_lyrics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Original Lyrics"},"corrected_lyrics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Corrected Lyrics"},"target_lyrics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Target Lyrics"},"phrase_breaks":{"items":{"type":"integer"},"type":"array","title":"Phrase Breaks"},"accepted_generation_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Accepted Generation Id"}},"type":"object","required":["id","project_id","start_sample","end_sample","status","original_lyrics","corrected_lyrics","target_lyrics","phrase_breaks","accepted_generation_id"],"title":"EditResponse"},"ExportResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Job Id"},"asset_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Asset Id"},"format":{"type":"string","title":"Format"},"status":{"type":"string","title":"Status"},"credit_cost":{"type":"integer","title":"Credit Cost","default":0}},"type":"object","required":["id","project_id","job_id","asset_id","format","status"],"title":"ExportResponse"},"GenerationResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"edit_id":{"type":"string","format":"uuid","title":"Edit Id"},"job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Job Id"},"status":{"type":"string","title":"Status"},"seed":{"type":"integer","title":"Seed"},"steps":{"type":"integer","title":"Steps"},"charged_credits":{"type":"integer","title":"Charged Credits"},"result_asset_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Result Asset Id"},"accepted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Accepted At"}},"type":"object","required":["id","edit_id","job_id","status","seed","steps","charged_credits","result_asset_id","accepted_at"],"title":"GenerationResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"IngestResponse":{"properties":{"project":{"$ref":"#/components/schemas/ProjectResponse"},"asset_id":{"type":"string","format":"uuid","title":"Asset Id"},"job_id":{"type":"string","format":"uuid","title":"Job Id"},"duration_ms":{"type":"integer","title":"Duration Ms"},"sample_rate":{"type":"integer","title":"Sample Rate"},"channels":{"type":"integer","title":"Channels"},"transcription_job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Transcription Job Id"}},"type":"object","required":["project","asset_id","job_id","duration_ms","sample_rate","channels"],"title":"IngestResponse"},"JobResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"kind":{"type":"string","title":"Kind"},"status":{"type":"string","title":"Status"},"progress":{"type":"integer","title":"Progress"},"phase":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phase"},"status_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status Message"},"result":{"additionalProperties":true,"type":"object","title":"Result"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At"}},"type":"object","required":["id","kind","status","progress","result","error_code","error_message","created_at","completed_at"],"title":"JobResponse"},"PhraseCandidate":{"properties":{"start_sample":{"type":"integer","title":"Start Sample"},"end_sample":{"type":"integer","title":"End Sample"},"start_seconds":{"type":"number","title":"Start Seconds"},"end_seconds":{"type":"number","title":"End Seconds"},"matched_text":{"type":"string","title":"Matched Text"},"match_type":{"type":"string","enum":["exact","approximate"],"title":"Match Type"},"selection_valid":{"type":"boolean","title":"Selection Valid"},"requires_confirmation":{"type":"boolean","title":"Requires Confirmation"},"score":{"type":"number","title":"Score","description":"Text similarity, not confidence that these words were sung or that their timestamps are accurate."}},"type":"object","required":["start_sample","end_sample","start_seconds","end_seconds","matched_text","match_type","selection_valid","requires_confirmation","score"],"title":"PhraseCandidate"},"PhraseMatchRequest":{"properties":{"target_phrase":{"type":"string","maxLength":300,"minLength":1,"title":"Target Phrase"},"words":{"items":{"$ref":"#/components/schemas/SuppliedTranscriptWord"},"type":"array","maxItems":5000,"minItems":1,"title":"Words"}},"additionalProperties":false,"type":"object","required":["target_phrase","words"],"title":"PhraseMatchRequest"},"PhraseMatchResponse":{"properties":{"project_id":{"type":"string","format":"uuid","title":"Project Id"},"source":{"type":"string","const":"agent_supplied_transcript","title":"Source","default":"agent_supplied_transcript"},"match_status":{"type":"string","enum":["matched","ambiguous","not_found","too_long","too_short"],"title":"Match Status"},"candidates":{"items":{"$ref":"#/components/schemas/PhraseCandidate"},"type":"array","title":"Candidates"},"transcript_verified":{"type":"boolean","const":false,"title":"Transcript Verified","default":false},"credits_charged":{"type":"integer","const":0,"title":"Credits Charged","default":0},"message":{"type":"string","title":"Message"}},"type":"object","required":["project_id","match_status","candidates","message"],"title":"PhraseMatchResponse"},"PresignUploadRequest":{"properties":{"filename":{"type":"string","maxLength":255,"minLength":1,"title":"Filename"},"content_type":{"type":"string","enum":["audio/mpeg","audio/mp3"],"title":"Content Type","default":"audio/mpeg"},"size_bytes":{"type":"integer","exclusiveMinimum":0.0,"title":"Size Bytes"}},"type":"object","required":["filename","size_bytes"],"title":"PresignUploadRequest"},"PresignUploadResponse":{"properties":{"upload_id":{"type":"string","format":"uuid","title":"Upload Id"},"object_key":{"type":"string","title":"Object Key"},"method":{"type":"string","const":"PUT","title":"Method"},"url":{"type":"string","title":"Url"},"fields":{"additionalProperties":{"type":"string"},"type":"object","title":"Fields"},"expires_in":{"type":"integer","title":"Expires In"}},"type":"object","required":["upload_id","object_key","method","url","expires_in"],"title":"PresignUploadResponse"},"ProjectCreateRequest":{"properties":{"object_key":{"type":"string","maxLength":1024,"minLength":10,"title":"Object Key"},"original_filename":{"type":"string","maxLength":255,"minLength":1,"title":"Original Filename"},"content_type":{"type":"string","enum":["audio/mpeg","audio/mp3"],"title":"Content Type","default":"audio/mpeg"},"title":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}],"title":"Title"},"legal_version":{"type":"string","maxLength":50,"minLength":1,"title":"Legal Version"},"rights_attested":{"type":"boolean","const":true,"title":"Rights Attested"}},"type":"object","required":["object_key","original_filename","legal_version","rights_attested"],"title":"ProjectCreateRequest"},"ProjectDetailResponse":{"properties":{"project":{"$ref":"#/components/schemas/ProjectResponse"},"source":{"$ref":"#/components/schemas/SourceAudioResponse"},"edits":{"items":{"$ref":"#/components/schemas/ProjectEditResponse"},"type":"array","title":"Edits"},"latest_export":{"anyOf":[{"$ref":"#/components/schemas/ProjectExportResponse"},{"type":"null"}]},"available_exports":{"items":{"$ref":"#/components/schemas/ProjectExportResponse"},"type":"array","title":"Available Exports"},"transcript":{"anyOf":[{"$ref":"#/components/schemas/ProjectTranscriptResponse"},{"type":"null"}]},"latest_batch":{"anyOf":[{"$ref":"#/components/schemas/BatchGenerationResponse"},{"type":"null"}]}},"type":"object","required":["project","source"],"title":"ProjectDetailResponse"},"ProjectEditResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"start_sample":{"type":"integer","title":"Start Sample"},"end_sample":{"type":"integer","title":"End Sample"},"status":{"type":"string","title":"Status"},"original_lyrics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Original Lyrics"},"corrected_lyrics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Corrected Lyrics"},"target_lyrics":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Target Lyrics"},"phrase_breaks":{"items":{"type":"integer"},"type":"array","title":"Phrase Breaks"},"accepted_generation_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Accepted Generation Id"},"accepted_generation":{"anyOf":[{"$ref":"#/components/schemas/AcceptedGenerationPlaybackResponse"},{"type":"null"}]},"latest_job":{"anyOf":[{"$ref":"#/components/schemas/ProjectJobResponse"},{"type":"null"}]},"latest_generation":{"anyOf":[{"$ref":"#/components/schemas/ProjectGenerationResponse"},{"type":"null"}]},"generations":{"items":{"$ref":"#/components/schemas/ProjectGenerationResponse"},"type":"array","title":"Generations"}},"type":"object","required":["id","project_id","start_sample","end_sample","status","original_lyrics","corrected_lyrics","target_lyrics","phrase_breaks","accepted_generation_id"],"title":"ProjectEditResponse"},"ProjectExportResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"project_id":{"type":"string","format":"uuid","title":"Project Id"},"job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Job Id"},"asset_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Asset Id"},"format":{"type":"string","title":"Format"},"status":{"type":"string","title":"Status"},"credit_cost":{"type":"integer","title":"Credit Cost","default":0},"job":{"anyOf":[{"$ref":"#/components/schemas/ProjectJobResponse"},{"type":"null"}]},"download_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Download Url"},"duration_ms":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration Ms"},"sample_rate":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Sample Rate"},"channels":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Channels"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"}},"type":"object","required":["id","project_id","job_id","asset_id","format","status"],"title":"ProjectExportResponse"},"ProjectGenerationResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"edit_id":{"type":"string","format":"uuid","title":"Edit Id"},"job_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Job Id"},"status":{"type":"string","title":"Status"},"seed":{"type":"integer","title":"Seed"},"steps":{"type":"integer","title":"Steps"},"charged_credits":{"type":"integer","title":"Charged Credits"},"result_asset_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Result Asset Id"},"accepted_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Accepted At"},"playback_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Playback Url"},"duration_ms":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Duration Ms"},"sample_rate":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Sample Rate"},"channels":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Channels"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"}},"type":"object","required":["id","edit_id","job_id","status","seed","steps","charged_credits","result_asset_id","accepted_at"],"title":"ProjectGenerationResponse"},"ProjectJobResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"kind":{"type":"string","title":"Kind"},"status":{"type":"string","title":"Status"},"progress":{"type":"integer","title":"Progress"},"phase":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phase"},"status_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status Message"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"completed_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Completed At"}},"type":"object","required":["id","kind","status","progress","error_code","error_message","created_at","completed_at"],"title":"ProjectJobResponse"},"ProjectResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"title":{"type":"string","title":"Title"},"status":{"type":"string","title":"Status"},"source_asset_id":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Source Asset Id"},"expires_at":{"type":"string","format":"date-time","title":"Expires At"},"created_at":{"type":"string","format":"date-time","title":"Created At"}},"type":"object","required":["id","title","status","source_asset_id","expires_at","created_at"],"title":"ProjectResponse"},"ProjectTranscriptResponse":{"properties":{"project_id":{"type":"string","format":"uuid","title":"Project Id"},"job_id":{"type":"string","format":"uuid","title":"Job Id"},"status":{"type":"string","enum":["queued","running","succeeded","failed","cancelled"],"title":"Status"},"progress":{"type":"integer","title":"Progress"},"language":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Language"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Message"},"segments":{"items":{"$ref":"#/components/schemas/TranscriptSegmentResponse"},"type":"array","title":"Segments"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["project_id","job_id","status","progress","updated_at"],"title":"ProjectTranscriptResponse"},"SessionConsent":{"properties":{"legal_version":{"type":"string","maxLength":50,"minLength":1,"title":"Legal Version"},"adult_attested":{"type":"boolean","const":true,"title":"Adult Attested"},"terms_accepted":{"type":"boolean","const":true,"title":"Terms Accepted"},"rights_attested":{"type":"boolean","const":true,"title":"Rights Attested"},"spending_authorized":{"type":"boolean","const":true,"title":"Spending Authorized"},"media_processing_authorized":{"type":"boolean","const":true,"title":"Media Processing Authorized"}},"additionalProperties":false,"type":"object","required":["legal_version","adult_attested","terms_accepted","rights_attested","spending_authorized","media_processing_authorized"],"title":"SessionConsent"},"SessionProbe":{"properties":{},"additionalProperties":false,"type":"object","title":"SessionProbe"},"SourceAudioResponse":{"properties":{"asset_id":{"type":"string","format":"uuid","title":"Asset Id"},"download_url":{"type":"string","title":"Download Url"},"duration_ms":{"type":"integer","title":"Duration Ms"},"sample_rate":{"type":"integer","title":"Sample Rate"},"channels":{"type":"integer","title":"Channels"},"content_type":{"type":"string","title":"Content Type"}},"type":"object","required":["asset_id","download_url","duration_ms","sample_rate","channels","content_type"],"title":"SourceAudioResponse"},"SuppliedTranscriptWord":{"properties":{"text":{"type":"string","maxLength":100,"minLength":1,"title":"Text"},"start_seconds":{"type":"number","maximum":900.0,"minimum":0.0,"title":"Start Seconds"},"end_seconds":{"type":"number","maximum":900.0,"exclusiveMinimum":0.0,"title":"End Seconds"}},"additionalProperties":false,"type":"object","required":["text","start_seconds","end_seconds"],"title":"SuppliedTranscriptWord"},"TranscriptSegmentResponse":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"index":{"type":"integer","title":"Index"},"start_ms":{"type":"integer","title":"Start Ms"},"end_ms":{"type":"integer","title":"End Ms"},"start_sample":{"type":"integer","title":"Start Sample"},"end_sample":{"type":"integer","title":"End Sample"},"text":{"type":"string","title":"Text"},"words":{"items":{"$ref":"#/components/schemas/TranscriptWordResponse"},"type":"array","title":"Words"}},"type":"object","required":["id","index","start_ms","end_ms","start_sample","end_sample","text"],"title":"TranscriptSegmentResponse"},"TranscriptWordResponse":{"properties":{"start_ms":{"type":"integer","title":"Start Ms"},"end_ms":{"type":"integer","title":"End Ms"},"start_sample":{"type":"integer","title":"Start Sample"},"end_sample":{"type":"integer","title":"End Sample"},"text":{"type":"string","title":"Text"},"probability":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Probability"}},"type":"object","required":["start_ms","end_ms","start_sample","end_sample","text"],"title":"TranscriptWordResponse"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"AgentKey":{"type":"http","scheme":"bearer","bearerFormat":"LyricPatch scoped API key"}}},"security":[{"AgentKey":[]}]}